* Scripts/webkitdirs.pm: Add a compatibilty hack for people with old
[WebKit-https.git] / WebKitTools / Scripts / webkitdirs.pm
index d99f4089b0798325d200697bab616ddf8ef68b58..402fc0e92fc3fd797982c8dbace0d356e2470c2f 100644 (file)
@@ -88,6 +88,9 @@ sub determineConfiguration
     }
     if ($configuration) {
         chomp $configuration;
+        # compatibility for people who have old Configuration files
+        $configuration = "Release" if $configuration eq "Deployment";
+        $configuration = "Debug" if $configuration eq "Development";
     } else {
         $configuration = "Release";
     }